//+------------------------------------------------------------------+
//|                                              trend-line-test.mq4 |
//|                                      Copyright  2011, Ron Kirby |
//|                                            http://www.blsmur.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, Ron Kirby"
#property link      "http://www.blsmur.com"
   // these are all externs so they can be changed when the EA is attached to a chart
// the values set are default values
extern int stoploss=0;
extern int takeprofit=0;
extern double lots = 0.01;
extern int magic_number=12345;

int  iRetTlBreak =0;

extern string trendline_name ="t6";
extern int trendline_type=0;  // 0=upper, 1=lower
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+



int start()
{
   
  
      
   // call the i have used other ideas to  get the functin to work  this gets it work but i cant get an output 
int testsignal = (fnGetTrendLineSignal(trendline_name, trendline_type) );
  
 //  if (fnGetTrendLineSignal(trendline_name, trendline_type) == 1)
 // Print ("value = ",value,"m = ",m,"type = ",type); 
return(0);


}



int fnGetTrendLineSignal(string strName, int type)//string strName, int type
{  int    iRetTlBreak = 0;
   // get the four coordinates
   double x1 = ObjectGet( strName, OBJPROP_TIME1);
   Print ("x1 = ",x1);
   double y1 = ObjectGet( strName, OBJPROP_PRICE1);
   double x2 = ObjectGet( strName, OBJPROP_TIME2);
   double y2 = ObjectGet( strName, OBJPROP_PRICE2);
   Print ("y1 = ",y1);
   // calculate the slope of the line (m)
   double m = (y2-y1)/(x2-x1);
   Print ("m = ",m);
   // calcualte the offset (b)
   double b = y1 -m*x1;
   
   // get the current x value
   double time = TimeCurrent();
   
   // calculate the value (y) of the projected trendline at (x): y = mx + b
   double value = m*time + b;
  //  Print ("value = ",value,"m = ",m,"type = ",type);
   // if type is an upper trend line (line is above price points)
   
   
      if( type == 0 )// Print ("type = ",type);
      if( Bid > value )iRetTlBreak = 2;
        
   if( type == 1 )// Print ("type = ",type);
   
      // price has broken the trendline
      // the ask price is lower than the projected value
      if( Ask < value )iRetTlBreak = 1;
         
   
Print ("iRetTlBreak = ",iRetTlBreak);
   return(iRetTlBreak);
}



//----
 
//+------------------------------------------------------------------+